Index: /waeup_product/trunk/Widgets.py
===================================================================
--- /waeup_product/trunk/Widgets.py	(revision 198)
+++ /waeup_product/trunk/Widgets.py	(revision 199)
@@ -1,8 +1,9 @@
 #-*- mode: python; mode: fold -*-
 from Globals import InitializeClass
-from Products.CPSSchemas.Widget import CPSWidgetType
+##from Products.CPSSchemas.Widget import CPSWidgetType
 from Products.CPSSchemas.BasicWidgets import CPSStringWidget, CPSEmailWidget
 from Products.CPSSchemas.ExtendedWidgets import CPSDateTimeWidget
-from Products.CPSSchemas.WidgetTypesTool import WidgetTypeRegistry
+from Products.CPSSchemas.Widget import widgetRegistry
+##from Products.CPSSchemas.WidgetTypesTool import WidgetTypeRegistry
 from DateTime.DateTime import DateTime
 from AccessControl import getSecurityManager
@@ -42,8 +43,10 @@
 InitializeClass(StudentIdWidget)
 
-class StudentIdWidgetType(CPSWidgetType):
-    """Student Id String widget type."""
-    meta_type = "StudentId  Widget Type"
-    cls = StudentIdWidget
+widgetRegistry.register(StudentIdWidget)
+
+##Class StudentIdWidgetType(CPSWidgetType):
+##    """Student Id String widget type."""
+##    meta_type = "StudentId  Widget Type"
+##    cls = StudentIdWidget
 
 ###)
@@ -51,5 +54,5 @@
 class ScratchcardPinWidget(CPSStringWidget): ###(
     """ ScratchcardPin Widget"""
-    meta_type = "ScratchcardPin Widget"
+    meta_type = "Scratchcard Pin Widget"
     valid_pins = ['123456',
                   '234567',
@@ -78,9 +81,10 @@
 
 InitializeClass(ScratchcardPinWidget)
-
-class ScratchcardPinWidgetType(CPSWidgetType):
-    """Scratchcard Pin widget type."""
-    meta_type = "Scratchcard Pin Widget Type"
-    cls = ScratchcardPinWidget
+widgetRegistry.register(ScratchcardPinWidget)
+
+##class ScratchcardPinWidgetType(CPSWidgetType):
+##    """Scratchcard Pin widget type."""
+##    meta_type = "Scratchcard Pin Widget Type"
+##    cls = ScratchcardPinWidget
 
 ###)
@@ -88,6 +92,6 @@
 ###########
 
-WidgetTypeRegistry.register(StudentIdWidgetType)
-WidgetTypeRegistry.register(ScratchcardPinWidgetType)
+##WidgetTypeRegistry.register(StudentIdWidgetType)
+##WidgetTypeRegistry.register(ScratchcardPinWidgetType)
 
 ##class MyProjectWeekDateTimeWidget(CPSDateTimeWidget): ###(
Index: /waeup_product/trunk/__init__.py
===================================================================
--- /waeup_product/trunk/__init__.py	(revision 198)
+++ /waeup_product/trunk/__init__.py	(revision 199)
@@ -1,2 +1,3 @@
+#-*- mode: python; mode: fold -*-
 from Products.CMFCore.utils import ContentInit, ToolInit
 from Products.CMFCore.DirectoryView import registerDirectory
@@ -4,85 +5,106 @@
 from Products.CMFCore.CMFCorePermissions import AddPortalContent
 
+from Products.GenericSetup import profile_registry
+from Products.GenericSetup import EXTENSION
+
+from Products.CPSCore.interfaces import ICPSSite
+
+import Widgets
+
 registerDirectory('skins', globals())
 
-import University
-import Students
-import Accommodation
-import Faculty
-import Widgets
-import WAeUPPermissions
-import WAeUPTool
+def initialize(registrar):
+    # Extension profile registration
+    profile_registry.registerProfile(
+        'default',
+        'WAeUP',
+        "The WestAfrican e-University Project",
+        'profiles/default',
+        'WAeUP',
+        EXTENSION,
+        for_=ICPSSite)
 
-tools = (
-    WAeUPTool.WAeUPTool,
-)
 
-fti = (Students.student_fti,
-       Students.studentdocuments_fti,
-       Students.studentpersonal_fti,
-       Students.studenteligibility_fti,
-       Students.jamb_fti,
-       Students.study_level_fti,
-       Students.semester_fti,
-       Accommodation.accofolder_fti,
-       Accommodation.accommodation_fti,
-       Faculty.faculty_fti,
-       Faculty.department_fti,
-       Faculty.course_fti,
-       Faculty.course_ticket_fti,
-      )
+##import University ###(
+##import Students
+##import Accommodation
+##import Faculty
+##import Widgets
+##import WAeUPPermissions
+##import WAeUPTool
+##
+##tools = (
+##    WAeUPTool.WAeUPTool,
+##)
+##
+##fti = (Students.student_fti,
+##       Students.studentdocuments_fti,
+##       Students.studentpersonal_fti,
+##       Students.studenteligibility_fti,
+##       Students.jamb_fti,
+##       Students.study_level_fti,
+##       Students.semester_fti,
+##       Accommodation.accofolder_fti,
+##       Accommodation.accommodation_fti,
+##       Faculty.faculty_fti,
+##       Faculty.department_fti,
+##       Faculty.course_fti,
+##       Faculty.course_ticket_fti,
+##      )
+##
+##contentClasses = (University.University,
+##                  Students.StudentsFolder,
+##                  Students.Student,
+##                  Students.StudentDocuments,
+##                  Students.StudentPersonal,
+##                  Students.StudentEligibility,
+##                  Students.Jamb,
+##                  Students.StudyLevel,
+##                  Students.Semester,
+##                  Accommodation.AccoFolder,
+##                  Accommodation.Accommodation,
+##                  Faculty.Faculty,
+##                  Faculty.Department,
+##                  Faculty.Course,
+##                  Faculty.CourseTicket,
+##                 )
+##
+##contentConstructors = (University.addUniversity,
+##                       Students.addStudentsFolder,
+##                       Students.addStudent,
+##                       Students.addStudentDocuments,
+##                       Students.addStudentPersonal,
+##                       Students.addStudentEligibility,
+##                       Students.addJamb,
+##                       Students.addStudyLevel,
+##                       Students.addSemester,
+##                       Accommodation.addAccommodation,
+##                       Accommodation.addAccoFolder,
+##                       Faculty.addFaculty,
+##                       Faculty.addDepartment,
+##                       Faculty.addCourse,
+##                       Faculty.addCourseTicket,
+##                       )
+##
+##def initialize(context):
+##    ToolInit(
+##        'WAeUP Tool',
+##        tools = tools,
+##        icon = 'tool.png',
+##    ).initialize(context)
+##
+##    ContentInit(
+##        'WAeUP Contenttypes',
+##        content_types=contentClasses,
+##        permission=AddPortalContent,
+##        extra_constructors=contentConstructors,
+##        fti=fti,
+##        
+##    ).initialize(context)
+##        
+##    context.registerClass(WAeUPTool.WAeUPTool,
+##                          constructors=(WAeUPTool.addWAeUPToolForm,
+##                          WAeUPTool.addWAeUPTool,))
 
-contentClasses = (University.University,
-                  Students.StudentsFolder,
-                  Students.Student,
-                  Students.StudentDocuments,
-                  Students.StudentPersonal,
-                  Students.StudentEligibility,
-                  Students.Jamb,
-                  Students.StudyLevel,
-                  Students.Semester,
-                  Accommodation.AccoFolder,
-                  Accommodation.Accommodation,
-                  Faculty.Faculty,
-                  Faculty.Department,
-                  Faculty.Course,
-                  Faculty.CourseTicket,
-                 )
+###)
 
-contentConstructors = (University.addUniversity,
-                       Students.addStudentsFolder,
-                       Students.addStudent,
-                       Students.addStudentDocuments,
-                       Students.addStudentPersonal,
-                       Students.addStudentEligibility,
-                       Students.addJamb,
-                       Students.addStudyLevel,
-                       Students.addSemester,
-                       Accommodation.addAccommodation,
-                       Accommodation.addAccoFolder,
-                       Faculty.addFaculty,
-                       Faculty.addDepartment,
-                       Faculty.addCourse,
-                       Faculty.addCourseTicket,
-                       )
-
-def initialize(context):
-    ToolInit(
-        'WAeUP Tool',
-        tools = tools,
-        icon = 'tool.png',
-    ).initialize(context)
-
-    ContentInit(
-        'WAeUP Contenttypes',
-        content_types=contentClasses,
-        permission=AddPortalContent,
-        extra_constructors=contentConstructors,
-        fti=fti,
-        
-    ).initialize(context)
-        
-    context.registerClass(WAeUPTool.WAeUPTool,
-                          constructors=(WAeUPTool.addWAeUPToolForm,
-                          WAeUPTool.addWAeUPTool,))
-
Index: /waeup_product/trunk/exportimport.py
===================================================================
--- /waeup_product/trunk/exportimport.py	(revision 199)
+++ /waeup_product/trunk/exportimport.py	(revision 199)
@@ -0,0 +1,113 @@
+# (C) Copyright 2006 Nuxeo SAS <http://nuxeo.com>
+# Author: Olivier Grisel <ogrisel@nuxeo.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2 as published
+# by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
+# 02111-1307, USA.
+#
+# $Id: exportimport.py 31640 2006-01-15 19:22:29Z ogrisel $
+"""WAeUP Tool XML Adapter.
+
+An XML adapter tells the GenericSetup machinery howto im- / export persistent
+configuration that is relative to a specific CMF component such as our WAeUP
+Tool.
+
+GenericSetup uses the Zope3 interfaces and components machinery to find the
+right XML adapter for the right object. This is why we flagged our waeup tool
+with the `implements(IWAeUPTool)` class attribute and made an adapter
+association in the `configure.zcml` file.
+"""
+
+# Zope3 component architecture
+from zope.component import adapts
+from zope.interface import implements
+
+# Standard GenericSetup base classes and functions
+from Products.GenericSetup.utils import exportObjects
+from Products.GenericSetup.utils import importObjects
+from Products.GenericSetup.utils import XMLAdapterBase
+from Products.GenericSetup.utils import PropertyManagerHelpers
+
+from Products.CMFCore.utils import getToolByName
+
+# GenericSetup multi adapts a class that implement IWAeUP and a particular
+# ISetupEnvironment to and IBody (piece of XML configuration).
+from Products.GenericSetup.interfaces import IBody
+from Products.GenericSetup.interfaces import ISetupEnviron
+from Products.WAeUP.interfaces import IWAeUPTool
+
+TOOL = 'portal_waeup'
+NAME = 'waeup'
+
+# The exportWAeUP and importWAeUP methods are called by the specific
+# im- / export steps defined in the corresponding XML files in the
+# WAeUP/profiles/default/ directory.
+
+def exportWAeUP(context):
+    """Export our WAeUP tool configuration
+    """
+    site = context.getSite()
+    tool = getToolByName(site, TOOL, None)
+    if tool is None:
+        logger = context.getLogger(NAME)
+        logger.info("Nothing to export.")
+        return
+    exportObjects(tool, '', context)
+
+def importWAeUP(context):
+    """Import WAeUP tool configuration
+    """
+    site = context.getSite()
+    tool = getToolByName(site, TOOL)
+    importObjects(tool, '', context)
+
+
+# This the XMLAdapter itself. It encodes the im- / export logic that is specific
+# to our tool. `im- / exportObjects` functions will find it thanks to the zope
+# components machinery and the associations made in the configure.zcml file.
+
+class WAeUPXMLAdapter(XMLAdapterBase, PropertyManagerHelpers):
+    """XML importer and exporter for the WAeUP tool.
+
+    The vogon tool has very little persistent configuration to im- / export:
+    only two properties that can be handled by the standard
+    PropertyManagerHelpers methods.
+
+    Hence this XMLAdapter is really simple. To get more complete examples of
+    what XMLAdapters are meant to do, please have a look at the
+    CPSSkins.exportimport.py or CPSDirectory.exportimport.py files, for
+    instance.
+    """
+
+    adapts(IWAeUPTool, ISetupEnviron)
+    implements(IBody)
+
+    _LOGGER_ID = NAME
+    name = NAME
+
+    def _exportNode(self):
+        """Export the object as a DOM node.
+        """
+        node = self._getObjectNode('object')
+        node.appendChild(self._extractProperties())
+        self._logger.info("WAeUP tool exported.")
+        return node
+
+    def _importNode(self, node):
+        """Import the object from the DOM node.
+        """
+        if self.environ.shouldPurge():
+            self._purgeProperties()
+        self._initProperties(node)
+        self._logger.info("WAeUP tool imported.")
+
Index: /waeup_product/trunk/interfaces.py
===================================================================
--- /waeup_product/trunk/interfaces.py	(revision 199)
+++ /waeup_product/trunk/interfaces.py	(revision 199)
@@ -0,0 +1,17 @@
+"""WAeUP interfaces.
+
+interfaces and components were first introduced for the Zope3 architecture.
+However they can also be used for Zope 2.9 applications too such as CMF and CPS.
+Currently they are used by the GenericSetup tool to adapts persistent objects
+that are worth im- / exporting to their dedicated XMLAdapter.
+
+In our case, we want the state of our vogon tool to be GenericSetup aware.
+Please see the exportimport.py file for more details on the corresponding
+XMLAdapter.
+"""
+
+from zope.interface import Interface
+
+class IWAeUPTool(Interface):
+    """WAeUP.
+    """
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 198)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 199)
@@ -527,5 +527,6 @@
     },
     'schoolresults': { ###(
-        'type': 'CPS List List Field',
+        #'type': 'CPS List List Field',
+        'type': 'CPS String List Field',
         'data': {
             'is_searchabletext': False,
Index: /waeup_product/trunk/tool.py
===================================================================
--- /waeup_product/trunk/tool.py	(revision 199)
+++ /waeup_product/trunk/tool.py	(revision 199)
@@ -0,0 +1,320 @@
+#-*- mode: python; mode: fold -*-
+# (C) Copyright 2005 The WAeUP group  <http://www.waeup.org>
+# Author: Joachim Schmitz (js@aixtraware.de)
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2 as published
+# by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
+# 02111-1307, USA.
+#
+# $Id: WAeUPTool.py 197 2006-02-08 12:47:31Z joachim $
+"""The WAeUPTool.
+"""
+
+from zope.interface import implements
+
+from zLOG import LOG, DEBUG
+from Globals import InitializeClass, HTMLFile
+from AccessControl import ClassSecurityInfo
+from OFS.Folder import Folder
+
+from Products.CPSInstaller.CPSInstaller import CPSInstaller
+from Products.CMFCore.PortalFolder import PortalFolder
+from Products.CMFCore.permissions import View, ManagePortal
+
+from OFS.SimpleItem import SimpleItem
+from OFS.PropertyManager import PropertyManager
+from Products.CMFCore.utils import UniqueObject
+from Products.CMFCore.ActionProviderBase import ActionProviderBase
+
+from interfaces import IWAeUPTool
+
+
+##class WAeUPTool(UniqueObject,PortalFolder):
+class WAeUPTool(UniqueObject, SimpleItem, ActionProviderBase, PropertyManager):
+    """WAeUP tool"""
+    
+    implements(IWAeUPTool)
+
+    id = 'portal_waeup'
+    meta_type = 'WAeUP Tool'
+
+##    security = ClassSecurityInfo()
+##    manage_options = (#ActionProviderBase.manage_options +
+##                      PortalFolder.manage_options[:1] +
+##                      PortalFolder.manage_options[2:])
+
+##    _actions = ()
+##
+##
+##    #
+##    # ZMI
+##    #
+##    _properties = (
+##        {'id': 'title', 'type': 'string', 'mode': 'w', 
+##         'label': 'Title'},
+##        {'id': 'uni_id', 'type': 'string', 'mode': 'w', 
+##         'label': 'University ID'},
+##        {'id': 'uni_name', 'type': 'string', 'mode': 'w', 
+##         'label': 'University Name'},
+##    )
+##    title = ''
+##    def __init__(self,uni_id,uni_name):
+##        self.manage_changeProperties(uni_id = uni_id,
+##                                     uni_name = uni_name,
+##                                     )
+##        PortalFolder.__init__(self, self.id)
+##
+##
+##    def verifyFaculties(self, academics): ###(
+##        """install Universityspecific Faculies with Departments"""
+##        faculties = [
+####                     {'id': 'agri', ###(
+####                      'Title': 'Agriculture',
+####                      'departments': [
+####                                     { 'id': 'dep1', ###(
+####                                       'Title': 'One',
+####                                     },
+####                                     ],
+####                      },###)
+##                      { 'id': 'science',
+##                      'Title': 'Science',
+##                      'departments': [
+##                                     { 'id': 'bio', ###(
+##                                       'Title': 'Biochemistry',
+##                                     },
+##                                     { 'id': 'bot',
+##                                       'Title': 'Botany',
+##                                     },
+##                                     { 'id': 'che',
+##                                       'Title': 'Chemistry',
+##                                     },
+##                                     { 'id': 'com',
+##                                       'Title': 'Computer Science',
+##                                     },
+##                                     { 'id': 'geo',
+##                                       'Title': 'Geologie',
+##                                     },
+##                                     { 'id': 'mat',
+##                                       'Title': 'Mathematics',
+##                                     },
+##                                     { 'id': 'mic',
+##                                       'Title': 'Microbiology',
+##                                     },
+##                                     { 'id': 'opt',
+##                                       'Title': 'Optometry',
+##                                     },
+##                                     { 'id': 'phy',
+##                                       'Title': 'Physics',
+##                                     },
+##                                     { 'id': 'zoo',
+##                                       'Title': 'Zoology',
+##                                     },
+##                                     ],
+##                      },###)
+##                     ]###)
+##        #self.log('Verifying Faculties in %s' % academics.absolute_url(relative=1))
+##        for faculty in faculties:
+##            fid = faculty['id']
+##            f = getattr(academics,fid,None)
+##            #self.log('Checking Faculty %(id)s = %(Title)s' % faculty)
+##            if f is None:
+##                #self.log('Creating Faculty %(id)s = %(Title)s' % faculty)
+##                academics.invokeFactory('Faculty', fid)
+##                f = getattr(academics,fid)
+##                f.getContent().edit(mapping=faculty)
+##            for department in faculty['departments']:
+##                #self.log('Checking Department %(id)s = %(Title)s' % department)
+##                did = department['id']
+##                d = getattr(f,did,None)
+##                if d is None:
+##                    #self.log('Creating Department %(id)s = %(Title)s' % department)
+##                    f.invokeFactory('Department', did)
+##                    d = getattr(f,did)
+##                    d.getContent().edit(mapping=department)
+##    ###)
+
+InitializeClass(WAeUPTool)
+
+##def verifyPortlets(portal, portlets=(), object=None): ###(
+##    """Verify the existence of given portet in the object's portlet
+##    container. If not found, a portlet is instantiated.
+##    Existing portlets are not affected.
+##    'portlets' is a tuple with the dictionaries given by the export tab
+##    as entries.
+##    The default object is the portal itself.
+##    return the list a new portlet ids.
+##    """
+##    #self.log('Verifying portlets on %s' % object.absolute_url(relative=1))
+##    #portlet_container = CPSInstaller.getPortletContainer(object, create=1)
+##    idpc = portal.portal_cpsportlets.getPortletContainerId()
+##    if not hasattr(object, idpc):
+####            self.log("   Creating %s/%s" %
+####                (object.absolute_url(relative=1), idpc))
+##        object.manage_addProduct['CPSPortlets'].addPortletsContainer()
+##    portlet_container = getattr(object, idpc, None)
+##    ttool = portal.portal_types
+##    returned = []
+##    for new_portlet in portlets:
+##        existing_portlets = portlet_container.listPortlets()
+##        updated = 0
+##        # Check if the portlet needs an update
+##        identifier = new_portlet.get('identifier')
+##        if identifier:
+##            for portlet in existing_portlets:
+##                if identifier == portlet.identifier:
+##                    #portal.log(" Update of portlet: %s" % portlet)
+##                    portlet.edit(**new_portlet)
+##                    portlet_id = portlet.getId()
+##                    updated = 1
+##                    continue
+##        slot = new_portlet.get('slot')
+##        if slot:
+##            for portlet in existing_portlets:
+##                if slot == portlet.slot:
+##                    #portal.log(" Update of portlet: %s" % portlet)
+##                    portlet.edit(**new_portlet)
+##                    portlet_id = portlet.getId()
+##                    updated = 1
+##                    continue
+##                
+##        if not updated:
+##            #portal.log("   Creation of portlet: %s" % new_portlet)
+##            portlet_id = portal.portal_cpsportlets.createPortlet(
+##            ptype_id=new_portlet['type'],
+##            context=object,
+##            **new_portlet)
+##        if portlet_id not in returned:
+##            returned.append(portlet_id)
+##    return returned
+##    ###)
+
+##addWAeUPToolForm = HTMLFile('zmi/manage_addWAeUPUniversity',
+##                                                globals())
+##
+##def addWAeUPTool(container, id,
+##                             title='WAeUP University',
+##                             description='',
+##                             langs_list=None,
+##                             manager_id='manager',
+##                             manager_sn='CPS',
+##                             manager_givenName='Manager',
+##                             manager_email='',
+##                             manager_password='',
+##                             manager_password_confirmation='',
+##                             REQUEST=None):
+##    """Add WAeUPTool"""
+##
+##    _log = []
+##    def pr(bla, zlog=1, _log=_log):
+##        if bla == 'flush':
+##            return '<br/>\n'.join(_log)
+##        _log.append(bla)
+##        if (bla and zlog):
+##            LOG('addWAeUPUniversity:', INFO, bla)
+##
+##    uni_id = id.strip()
+##    uni_name = title.strip()
+##    description = description.strip()
+##    manager_id = manager_id.strip()
+##
+####    if not id:
+####        raise ValueError, "You have to provide an id for the portal!"
+####    if not manager_id:
+####        raise ValueError, "You have to provide an id for the CPS Administrator!"
+####    if not manager_email:
+####        raise ValueError, "You have to provide an email address for the CPS Administrator!"
+####    if not manager_password:
+####        raise ValueError, "You have to provide CPS Administrator password!"
+####    if manager_password != manager_password_confirmation:
+####        raise ValueError, "Password confirmation does not match password!"
+##
+##    email_from_name = ('%s %s' % (manager_givenName, manager_sn)).strip()
+##    wt = WAeUPTool(uni_id,uni_name)
+##    id = wt.getId()
+##    container._setObject(id, wt)
+##    sections = getattr(container,'sections')
+##    workspaces = getattr(container,'workspaces') 
+##    sections.invokeFactory('University',uni_id)
+##    uni = getattr(sections,uni_id)
+##    uni.getContent().edit(title=uni_name)
+##    uni.invokeFactory('StudentsFolder','students')
+##    students = getattr(uni,'students').getContent()
+##    students.edit(mapping={'Title':'Students'})
+####    uni.folder_localrole_add(member_ids=('group:Students',),
+####                                            member_role='SectionReviewer',
+####                                            )
+####        uni.content_create(type_name='AcademicsFolder',title='academics')
+####        sections.uni.folder_localrole_add(member_ids=('group:StudentManager',),
+####                                            member_role='SectionManager',
+####                                            )
+####        uni.students.manage_setLocalGroupRoles(groupid = 'Students',roles=('Contributor',))
+##    uni.invokeFactory('AcademicsFolder','academics', title='Academics')
+##    academics = getattr(uni,'academics').getContent()
+##    academics.edit(mapping={'Title':'Academics'})
+##    uni.invokeFactory('AccoFolder','accommodation', title='Accommodation')
+##    accommodation = getattr(uni,'accommodation').getContent()
+##    accommodation.edit(mapping={'Title':'Accommodation'})
+##    academics = getattr(uni,'academics',None)
+##    if academics is None:
+##        uni.invokeFactory('AcademicsFolder','academics')
+##        academics = getattr(uni,'academics')
+##        academics.getContent().edit(mapping={'Title':'Academics'})
+##    wt.verifyFaculties(academics)
+##    if not hasattr(uni,'accommodation'):
+##        uni.invokeFactory('AccoFolder','accommodation')
+##        accommodation = getattr(uni,'accommodation').getContent()
+##        accommodation.edit(mapping={'Title':'Accommodation'})
+##    #uni.manage_setLocalGroupRoles(groupid = 'role:Anonymous',roles=('SectionReader',))
+##    # portlets ###(
+##    #
+##    portlets = (
+##              {#'identifier': 'waeup_breadcrumbs',
+##              'type': 'Breadcrumbs Portlet',
+##              'slot': 'waeup_breadcrumbs',
+##              'first_item': 0,
+##              'display_site_root': 0,
+##              'Title': 'waeup_breadcrumbs',
+##              'display': 'horizontal_trail',
+##              'display_hidden_folders': 0,
+##              'order': 0,
+##              },
+##              {#'identifier': 'waeup_main_tab_actions',
+##              'type': 'Actions Portlet',
+##              'slot': 'main_tabs',
+##              'order': 0,
+##              'categories': ['main_tabs',],
+##              'Title': 'waep_main_tab_actions',
+##              },
+##              {#'identifier': 'waeup_object_actions',
+##              'type': 'Actions Portlet',
+##              'slot': 'waeup_object_actions',
+##              'order': 0,
+##              'categories': ['object',],
+##              'Title': 'waep_manager_actions',
+##              },
+##              {#'identifier': 'waeup_left_top',
+##              'type': 'Custom Portlet',
+##              'slot': 'left_top',
+##              'order': 0,
+##              'render_method': 'portlet_session_info',
+##              'Title': 'Session Info',
+##              },
+##            )
+##    #verifyPortletContainer(uni)
+##    verifyPortlets(container,portlets,uni)
+##
+##    ###)
+##    if REQUEST is not None:
+##        url = container.absolute_url()
+##        REQUEST.RESPONSE.redirect('%s/manage_main' % url)
+
